import { ClientWrapper } from "mqtt-topping";
import { Winston } from "@artcom/logger";
export declare type BootstrapData = {
    backendHost: string;
    configServerUri: string;
    device: string;
    deviceTopic: string;
    httpBrokerUri: string;
    tcpBrokerUri: string;
    wsBrokerUri: string;
};
export declare type QueryConfig = (configPath: string) => any;
export declare type InitData = {
    logger: Winston.Logger;
    mqttClient: ClientWrapper;
    queryConfig: QueryConfig;
    data: BootstrapData;
};
export declare type Options = {
    timeout?: number;
    retryDelay?: number;
    debugBootstrapData?: BootstrapData;
};
